For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Token Balances

List token balances.

This method will use 20 Compute Units.


List token balances

get

Returns a list of token balances given the id. This represents the Token supply distribution across the network

Path parameters
tokenIdstring · nullableRequired

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Query parameters
account.balancestringOptional

The optional balance value to compare against

Example: {"summary":"--","value":""}Pattern: ^((gte?|lte?|eq|ne)\:)?\d{1,10}$
account.idstringOptional

The ID of the account to return information for

Example: {"summary":"--","value":""}Pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$
account.publickeystringOptional

The account's public key to compare against

Example: 3c3d546321ff6f63d701d2ec5c277095874e19f4a235bee1e6bb19258bf362be
limitinteger · int32 · min: 1 · max: 100Optional

The maximum number of items to return

Default: 25Example: 2
orderundefined · enumOptional

The order in which items are listed

Default: ascExample: descPossible values:
timestampstring[]Optional

The consensus timestamp in seconds.nanoseconds format with an optional comparison operator

Example: {"summary":"--","value":""}
Responses
200

OK

application/json
timestampstring · nullableOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
get/api/v1/tokens/{tokenId}/balances
GET /v1/YOUR_API_KEY/api/v1/tokens/{tokenId}/balances HTTP/1.1
Host: mainnet.hedera.validationcloud.io
Accept: */*
{
  "timestamp": "1586567700.453054000",
  "balances": [
    {
      "account": "0.15.2",
      "balance": 1000
    }
  ],
  "links": {
    "next": "/api/v1/transactions?timestamp=lt:1657598275.517984411"
  }
}

Last updated

Was this helpful?